RainbowPublicKeyParameters (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.pqc.crypto.rainbow

## Class RainbowPublicKeyParameters

- java.lang.Object
- - org.bouncycastle.crypto.params.AsymmetricKeyParameter
  - - org.bouncycastle.pqc.crypto.rainbow.RainbowKeyParameters
    - - org.bouncycastle.pqc.crypto.rainbow.RainbowPublicKeyParameters

- All Implemented Interfaces:
    CipherParameters

      public class RainbowPublicKeyParameters
      extends RainbowKeyParameters

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RainbowPublicKeyParameters(int docLength, short[][] coeffQuadratic, short[][] coeffSingular, short[] coeffScalar)` Constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `short[][]` | `getCoeffQuadratic()`
    `short[]` | `getCoeffScalar()`
    `short[][]` | `getCoeffSingular()`

    - ### Methods inherited from class org.bouncycastle.pqc.crypto.rainbow.RainbowKeyParameters

      `getDocLength`

    - ### Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter

      `isPrivate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RainbowPublicKeyParameters

          public RainbowPublicKeyParameters(int docLength,
                                    short[][] coeffQuadratic,
                                    short[][] coeffSingular,
                                    short[] coeffScalar)

      Constructor
      Parameters:
        `docLength` -
        `coeffQuadratic` -
        `coeffSingular` -
        `coeffScalar` -

  - ### Method Detail

    - #### getCoeffQuadratic

          public short[][] getCoeffQuadratic()

      Returns:
        the coeffquadratic

    - #### getCoeffSingular

          public short[][] getCoeffSingular()

      Returns:
        the coeffsingular

    - #### getCoeffScalar

          public short[] getCoeffScalar()

      Returns:
        the coeffscalar